"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const vitest_1 = require("vitest");
const clonable_1 = require("./clonable");
(0, vitest_1.describe)("Clonable Tests", () => {
    class C extends clonable_1.Clonable {
        constructor(name, age) {
            super();
            this.name = name;
            this.age = age;
        }
    }
    (0, vitest_1.test)("cloneしたものを変更しても元に影響が出ない", () => {
        const c1 = new C("hello", 10);
        const c2 = c1.clone;
        c2.name = "world";
        (0, vitest_1.expect)(c1.name).toBe("hello");
    });
    class HasC extends clonable_1.Clonable {
        constructor(c) {
            super();
            this.c = c;
        }
    }
    (0, vitest_1.test)("clonableなプロパティはcloneを変更しても影響が出ない", () => {
        const h1 = new HasC(new C("hello", 10));
        const h2 = h1.clone;
        h2.c.age = 20;
        (0, vitest_1.expect)(h1.c.age).toBe(10);
    });
});
//# sourceMappingURL=clonable.test.js.map