"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const vitest_1 = require("vitest");
const iClonable_1 = require("./iClonable");
(0, vitest_1.describe)("isClonable Tests", () => {
    (0, vitest_1.test)("objectでない場合はfalse", () => {
        (0, vitest_1.expect)((0, iClonable_1.isClonable)(1)).toBeFalsy();
        (0, vitest_1.expect)((0, iClonable_1.isClonable)("hello")).toBeFalsy();
        (0, vitest_1.expect)((0, iClonable_1.isClonable)(true)).toBeFalsy();
        (0, vitest_1.expect)((0, iClonable_1.isClonable)(undefined)).toBeFalsy();
        (0, vitest_1.expect)((0, iClonable_1.isClonable)(null)).toBeFalsy();
    });
    (0, vitest_1.test)("cloneプロパティがない場合はfalse", () => {
        (0, vitest_1.expect)((0, iClonable_1.isClonable)({})).toBe(false);
    });
    (0, vitest_1.test)("cloneプロパティがある場合はtrue", () => {
        (0, vitest_1.expect)((0, iClonable_1.isClonable)({ clone: {} })).toBeTruthy();
    });
    (0, vitest_1.test)("cloneがobject以外を返す場合はfalse", () => {
        (0, vitest_1.expect)((0, iClonable_1.isClonable)({ clone: "" })).toBeFalsy();
    });
});
//# sourceMappingURL=iClonable.test.js.map