"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const vitest_1 = require("vitest");
const iDecodable_1 = require("./iDecodable");
(0, vitest_1.describe)("isDecodable Tests", () => {
    (0, vitest_1.test)("objectでない場合はfalse", () => {
        (0, vitest_1.expect)((0, iDecodable_1.isDecodable)(1)).toBeFalsy();
        (0, vitest_1.expect)((0, iDecodable_1.isDecodable)("hello")).toBeFalsy();
        (0, vitest_1.expect)((0, iDecodable_1.isDecodable)(true)).toBeFalsy();
        (0, vitest_1.expect)((0, iDecodable_1.isDecodable)(undefined)).toBeFalsy();
        (0, vitest_1.expect)((0, iDecodable_1.isDecodable)(null)).toBeFalsy();
    });
    (0, vitest_1.test)("decodeプロパティがない場合はfalse", () => {
        (0, vitest_1.expect)((0, iDecodable_1.isDecodable)({})).toBeFalsy();
    });
    (0, vitest_1.test)("decodeプロパティが関数でない場合はfalse", () => {
        (0, vitest_1.expect)((0, iDecodable_1.isDecodable)({ decode: "" })).toBeFalsy();
    });
    (0, vitest_1.test)("decodeプロパティが関数の場合はtrue", () => {
        (0, vitest_1.expect)((0, iDecodable_1.isDecodable)({ decode: () => this })).toBeTruthy();
    });
});
//# sourceMappingURL=iDecodable.test.js.map