"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.encode = exports.isEncodable = void 0;
function isEncodable(object) {
    return typeof object === "object" && object !== null && "encode" in object;
}
exports.isEncodable = isEncodable;
function encode(object) {
    if (isEncodable(object)) {
        return object.encode;
    }
    if (typeof object === "object" && object !== null) {
        if (Array.isArray(object)) {
            return object.map((value) => encode(value));
        }
        const clone = {};
        for (const key in object) {
            clone[key] = encode(object[key]);
        }
        return clone;
    }
    return object;
}
exports.encode = encode;
//# sourceMappingURL=iEncodable.js.map