import { IEquatableObject } from "../equality";
export interface Comparable<Self> extends IEquatableObject<Self> {
    compare(compared: Self): boolean;
}
export type IComparable = string | number | bigint | Comparable<unknown>;
export declare function isComparableObject(value: unknown): value is Comparable<unknown>;
export declare function isComparable(value: unknown): value is IComparable;
export declare function compare<T>(a: T, b: T): boolean;
