"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.compare = exports.isComparable = exports.isComparableObject = void 0;
function isComparableObject(value) {
    return (value != null &&
        typeof value === "object" &&
        "compare" in value &&
        typeof value.compare === "function");
}
exports.isComparableObject = isComparableObject;
function isComparable(value) {
    if (typeof value === "string")
        return true;
    if (typeof value === "number")
        return true;
    if (typeof value === "bigint")
        return true;
    return isComparableObject(value);
}
exports.isComparable = isComparable;
function compare(a, b) {
    if (!isComparable(a)) {
        throw new Error(`should be comparable but: ${a}`);
    }
    if (isComparableObject(a)) {
        return a.compare(b);
    }
    return a < b;
}
exports.compare = compare;
//# sourceMappingURL=iComparable.js.map