"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const vitest_1 = require("vitest");
const iComparable_1 = require("./iComparable");
(0, vitest_1.describe)("isComparable Tests", () => {
    (0, vitest_1.test)("string, number, bigintは比較可能", () => {
        (0, vitest_1.expect)((0, iComparable_1.isComparable)("")).toBeTruthy();
        (0, vitest_1.expect)((0, iComparable_1.isComparable)(1)).toBeTruthy();
        (0, vitest_1.expect)((0, iComparable_1.isComparable)(BigInt(3))).toBeTruthy();
    });
    (0, vitest_1.test)("通常のオブジェクトは比較できない", () => {
        (0, vitest_1.expect)((0, iComparable_1.isComparable)({})).toBeFalsy();
    });
    (0, vitest_1.test)("compareメソッドを持つオブジェクトは比較可能", () => {
        (0, vitest_1.expect)((0, iComparable_1.isComparable)({ compare: () => true })).toBeTruthy();
    });
    (0, vitest_1.test)("compareプロパティを持つオブジェクトは比較不可", () => {
        (0, vitest_1.expect)((0, iComparable_1.isComparable)({ compare: "" })).toBeFalsy();
    });
});
//# sourceMappingURL=iComparable.test.js.map