import { Optional } from "./optional";
import { Failure } from "../result";
import { IEncodable, IDecodable } from "../codable";
export declare class None<T> implements Optional<T>, IEncodable, IDecodable<Optional<T>> {
    private constructor();
    static readonly instance: None<unknown>;
    get get(): T;
    readonly value: T | null;
    readonly clone: None<T>;
    getOrElse(defaultValue: T): T;
    orElse(defaultValue: Optional<T>): Optional<T>;
    readonly isDefined = false;
    readonly isEmpty = true;
    map<U>(f: (value: T) => U): Optional<U>;
    flatMap<U>(f: (value: T) => Optional<U>): Optional<U>;
    equals(compared: Optional<T> | T, _?: (a: T, b: T) => boolean): boolean;
    fold<U>(left: () => U, right: (value: T) => U): U;
    unwrap(or: Error): T;
    toResult<E>(error: E): Failure<T, E>;
    get encode(): unknown;
    decode(object: unknown): Optional<T>;
    compare(_: Optional<T>): boolean;
}
export declare function none<T>(): None<T>;
