"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const vitest_1 = require("vitest");
const openRange_1 = require("./openRange");
(0, vitest_1.describe)("Range Tests", () => {
    (0, vitest_1.test)("containsで範囲内を判定できる", () => {
        const range = (0, openRange_1.from)(4).to(6);
        (0, vitest_1.expect)(range.contains(3)).toBeFalsy();
        (0, vitest_1.expect)(range.contains(4)).toBeTruthy();
        (0, vitest_1.expect)(range.contains(5)).toBeTruthy();
        (0, vitest_1.expect)(range.contains(6)).toBeTruthy();
        (0, vitest_1.expect)(range.contains(7)).toBeFalsy();
    });
    (0, vitest_1.test)("minimumで最小値が取れる", () => {
        const range = (0, openRange_1.from)(4).to(6);
        (0, vitest_1.expect)(range.minimum).toBe(4);
    });
    (0, vitest_1.test)("maximumで最大値が取れる", () => {
        const range = (0, openRange_1.from)(4).to(6);
        (0, vitest_1.expect)(range.maximum).toBe(6);
    });
});
//# sourceMappingURL=closedRange.test.js.map