import { Result } from "./result";
import { None } from "../optional";
export declare class Failure<T, E> implements Result<T, E> {
    private readonly error;
    constructor(error: E);
    readonly isSuccess = false;
    readonly isFailure = true;
    get get(): T;
    get getError(): E;
    map<U>(_: (v: T) => U): Result<U, E>;
    flatMap<U>(_: (v: T) => Result<U, E>): Result<U, E>;
    mapError<U>(f: (error: E) => U): Result<T, U>;
    flatMapError<U>(f: (error: E) => Result<T, U>): Result<T, U>;
    equals(compared: Result<T, E>, _?: (a: T, b: T) => boolean, comparisonFunc?: (a: E, b: E) => boolean): boolean;
    get toOptional(): None<T>;
    get clone(): Failure<T, E>;
}
export declare function failure<T, E>(error: E): Failure<T, E>;
