"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.asyncResult = exports.result = void 0;
const success_1 = require("./success");
const failure_1 = require("./failure");
function result(cb) {
    try {
        return (0, success_1.success)(cb());
    }
    catch (e) {
        return (0, failure_1.failure)(e);
    }
}
exports.result = result;
function asyncResult(cb) {
    return __awaiter(this, void 0, void 0, function* () {
        try {
            return (0, success_1.success)(yield cb());
        }
        catch (e) {
            return (0, failure_1.failure)(e);
        }
    });
}
exports.asyncResult = asyncResult;
//# sourceMappingURL=result.js.map